Index: geonetwork/xsl/geo/utils.xsl
===================================================================
--- geonetwork/xsl/geo/utils.xsl	(revision 5775)
+++ geonetwork/xsl/geo/utils.xsl	(working copy)
@@ -95,10 +95,14 @@
     <!-- Init all maps. -->
     <xsl:template name="extentViewerJavascriptInit">
         <script language="JavaScript1.2" type="text/javascript">
-            if( Ext )
-              Ext.onReady(extentMap.initMapDiv)
+            if (Ext)
+            {
+              Ext.onReady(extentMap.initMapDiv);
+            }
             else
+            {
               Event.observe(window,'load',extentMap.initMapDiv);
+            }
         </script>
     </xsl:template>
 </xsl:stylesheet>
\ No newline at end of file
Index: geonetwork/scripts/editor/metadata-editor.js
===================================================================
--- geonetwork/scripts/editor/metadata-editor.js	(revision 5775)
+++ geonetwork/scripts/editor/metadata-editor.js	(working copy)
@@ -392,7 +392,7 @@
 				}
 				
 				// Init map if spatial extent editing
-				if (name == 'gmd:geographicElement');
+				if (name == 'gmd:geographicElement')
 					extentMap.initMapDiv();
 				
 				// Check elements
@@ -627,7 +627,7 @@
 	var n = "";
 	
 	if (choice != undefined && choice != "") {
-		coords = choice.split(",")
+		coords = choice.split(",");
 		w = coords[0];
 		e = coords[1];
 		s = coords[2];
@@ -651,7 +651,7 @@
 	     var viewer = viewers[idx];
 	     if (eltRef == viewer.getAttribute("elt_ref")) {
 	    	 extentMap.updateBbox(extentMap.maps[eltRef], westField + "," + southField + "," + eastField + "," + northField, eltRef, true); // Region are in WGS84
-	     };
+	     }
 	}
 }
 
@@ -731,7 +731,7 @@
 * decimals - {Boolean} Allow decimals
 */
 function validateNumber(input, nullValue, decimals) {
-    var text = input.value
+    var text = input.value;
     var validChars = "0123456789";
     
     if (! nullValue)
@@ -798,7 +798,7 @@
 								.toLowerCase() == Env.lang)
 							input.options[i].selected = true;
 
-					enableLocalInput(input, false)
+					enableLocalInput(input, false);
 				});
 
 	// --- display validator events when needed.
@@ -1186,12 +1186,12 @@
 
 	show(nodes, ref, focus);
 	show(textarea, ref, focus);
-};
+}
 
 function clearSuggestion(divSuggestion) {
 	if ($(divSuggestion) != null)
 		$(divSuggestion).innerHTML = "";
-};
+}
 
 /**
  * 
Index: geonetwork/scripts/editor/app.KeywordSelectionPanel.js
===================================================================
--- geonetwork/scripts/editor/app.KeywordSelectionPanel.js	(revision 5775)
+++ geonetwork/scripts/editor/app.KeywordSelectionPanel.js	(working copy)
@@ -4,7 +4,7 @@
  * Class: app.KeywordSelectionPanel
  */
 
-app.keyword = {}
+app.keyword = {};
 
 var Keyword = Ext.data.Record.create([
   {name: 'value'},
@@ -164,7 +164,7 @@
             reader: new Ext.data.XmlReader({
                 record: 'thesaurus'
             }, Thesaurus),
-            fields: ['filename', 'id'],
+            fields: ['filename', 'id']
         });
 
         // add the "any thesaurus" record
Index: geonetwork/scripts/editor/app.LinkedMetadataSelectionPanel.js
===================================================================
--- geonetwork/scripts/editor/app.LinkedMetadataSelectionPanel.js	(revision 5775)
+++ geonetwork/scripts/editor/app.LinkedMetadataSelectionPanel.js	(working copy)
@@ -30,7 +30,7 @@
 			var result = '';
 			for (var i = 0; i < values.length; i ++) {
 				if (i != 0)
-					result += s
+					result += s;
 				result += values[i].value;
 			}
 		    return result;
@@ -232,7 +232,7 @@
         		},
         		scope: this
         	}
-        })
+        });
         
         
         if (this.mode=='attachService' || this.mode=='coupledResource') 
